%define major      4
%define libname    %mklibname %{name} %{major}
%define develname  %mklibname %{name} -d
%define staticname %mklibname %{name} -d -s

Name:           openbabel
Version:        2.3.2
Release:        %mkrel 19
Summary:        Chemistry software file format converter
License:        GPLv2+
Group:          Sciences/Chemistry
URL:            http://openbabel.org
Source:         http://downloads.sourceforge.net/%name/%{name}-%{version}.tar.gz
Source1:        openbabelgui.desktop
Patch0:         openbabel-2.3.2-python-install-dir.patch
Patch1:         %{name}-rpm.patch
Patch2:         openbabel-2.3.1-ruby-path.patch
Patch3:         openbabel-2.3.1-gcc47-darwin.patch
# fix plugin directory location (#680292, patch by lg)
Patch4:         openbabel-2.3.0-plugindir.patch
Patch5:         openbabel-2.3.2-cmake.patch
Patch6:         openbabel-2.3.2-gcc5.patch
BuildRequires:  desktop-file-utils
BuildRequires:  imagemagick
BuildRequires:  inchi-devel >= 1.0.4
BuildRequires:  doxygen 
BuildRequires:  wxgtk-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  eigen2
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl-devel
BuildRequires:  python-devel
BuildRequires:  ruby-devel
BuildRequires:  swig
BuildRequires:  cmake

Requires:       %{libname} = %{version}

%description
Open Babel is a project designed to pick up where Babel left off,
as a cross-platform program and library designed to interconvert
between many file formats used in molecular modeling and computational
chemistry.

%package -n     %{libname}
Summary:        Shared libraries of %{name}
Group:          System/Libraries

%description -n %{libname}
Open Babel is a project designed to pick up where Babel left off,
as a cross-platform program and library designed to interconvert
between many file formats used in molecular modeling and computational
chemistry.

This package contains shared libraries of %{name}.

%package -n     %{develname}
Summary:        Development files of %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}
Requires:       inchi-devel >= 1.0.4
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{staticname} < 2.3.0
Obsoletes:      %mklibname %{name} 2 -d 
Obsoletes:      %mklibname %{name} 3 -d 

%description -n %{develname}
Open Babel is a project designed to pick up where Babel left off,
as a cross-platform program and library designed to interconvert
between many file formats used in molecular modeling and computational
chemistry.

This package includes the header files and other development
related files necessary for developing or compiling programs
using the %{name} library.

%package -n     perl-%{name}
Group:          Development/Perl
Summary:        Perl wrapper for the Open Babel library

%description -n perl-%{name}
Perl wrapper for the Open Babel library.

%package -n     python-%{name}
Group:          Development/Python
Summary:        Python wrapper for the Open Babel library

%description -n python-%{name}
Python wrapper for the Open Babel library.

%package -n     ruby-%{name}
Summary:        Ruby wrapper for the Open Babel library
Group:          Development/Ruby
Requires:       %{name} = %{version}-%{release}

%description -n ruby-%{name}
Ruby wrapper for the Open Babel library.

%prep
%setup -q
%autopatch -p1
convert src/GUI/babel.xpm -transparent white babel.png

%build
%cmake \
   -DENABLE_TESTS:BOOL=OFF \
   -DBUILD_GUI:BOOL=ON \
   -DENABLE_VERSIONED_FORMATS=false \
   -DPYTHON_BINDINGS:BOOL=ON \
   -DPERL_BINDINGS:BOOL=ON \
   -DRUBY_BINDINGS:BOOL=ON \
   -DOPENBABEL_USE_SYSTEM_INCHI=ON
%make_build

%install
touch scripts/CMakeLists.txt
%make_install -C build

chmod 0755 %{buildroot}%{perl_vendorarch}/auto/Chemistry/OpenBabel/OpenBabel.so
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -Dpm644 babel.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/babel.png

%files
%doc AUTHORS COPYING ChangeLog README THANKS
%doc doc/*.html doc/diox* doc/README*
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/cmake/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so

%files -n perl-%{name}
%{perl_vendorarch}/*

%files -n python-%{name}
%{python2_sitearch}/*

%files -n ruby-%{name}
%{ruby_sitearchdir}/openbabel.so


%changelog
* Sat Jun 03 2017 akien <akien> 2.3.2-19.mga6
+ Revision: 1106105
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 2.3.2-18.mga6
+ Revision: 1019818
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 umeabot <umeabot> 2.3.2-17.mga6
+ Revision: 961821
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 daviddavid <daviddavid> 2.3.2-16.mga6
+ Revision: 902028
- rebuild for new ruby 2.2.3

* Wed Aug 26 2015 fwang <fwang> 2.3.2-15.mga6
+ Revision: 869549
- fix build with gcc5
- rebuild for gcc5

* Fri Aug 14 2015 ycantin <ycantin> 2.3.2-14.mga6
+ Revision: 864698
- rebuild for new wxgtk built with wxRE_ADVANCED

* Thu Jul 23 2015 akien <akien> 2.3.2-13.mga6
+ Revision: 856371
- Rebuild for wxgtk with gtk3

* Sun Jun 28 2015 tv <tv> 2.3.2-12.mga6
+ Revision: 846866
- rebuild with soname-ified perl

* Wed Jun 24 2015 sander85 <sander85> 2.3.2-11.mga6
+ Revision: 842497
- Rebuild for perl 5.22

* Sun Nov 16 2014 alexl <alexl> 2.3.2-10.mga5
+ Revision: 797514
- translated desktop file into Russian and Ukrainian

* Wed Oct 15 2014 umeabot <umeabot> 2.3.2-9.mga5
+ Revision: 747597
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.3.2-8.mga5
+ Revision: 727499
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.3.2-7.mga5
+ Revision: 683187
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.3.2-6.mga5
+ Revision: 630735
- Rebuild for perl 5.20
- Rebuild for new Python

* Wed Feb 05 2014 fwang <fwang> 2.3.2-4.mga5
+ Revision: 583572
- try build with wxwidgets 3.0

* Mon Oct 21 2013 umeabot <umeabot> 2.3.2-3.mga4
+ Revision: 538736
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 2.3.2-2.mga4
+ Revision: 482943
- rebuild for ruby 2.0

* Sat Aug 17 2013 fwang <fwang> 2.3.2-1.mga4
+ Revision: 467105
- strip whitespace
- install python binding into correct dir
- update file list
- add fedora patch to fix cmake script
- new version 2.3.2

* Wed May 29 2013 fwang <fwang> 2.3.1-5.mga4
+ Revision: 430422
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.3.1-4.mga3
+ Revision: 361909
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 fwang <fwang> 2.3.1-3.mga3
+ Revision: 314329
- add fedora patch to have it built
- fix ruby inc path
- more inlclude dir fix
- specify correct includedir

  + jquelin <jquelin>
    - perl 5.16 rebuild

  + gil <gil>
    - edit cmake option remove java bindings
    - rebuilt with inchi 1.0.4 support
      added desktop entry

* Sun Dec 04 2011 fwang <fwang> 2.3.1-1.mga2
+ Revision: 176164
- sync with fedora patches
  fix build with builddir  srcdir
- new version 2.3.1

* Sun Oct 02 2011 fwang <fwang> 2.3.0-1.mga2
+ Revision: 150856
- new version 2.3.0 (sync with mandriva)

* Wed Sep 21 2011 fwang <fwang> 2.2.3-9.mga2
+ Revision: 146362
- drop .la files

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Thu Mar 24 2011 boklm <boklm> 2.2.3-7.mga1
+ Revision: 76196
- rebuild for bug #497

* Wed Mar 16 2011 mikala <mikala> 2.2.3-6.mga1
+ Revision: 72651
- Remove wrong provides openbabel in the lib package (thks to blino)
- Remove BuildRoot

* Sun Jan 23 2011 ahmad <ahmad> 2.2.3-5.mga1
+ Revision: 35384
- drop old/unneeded scriptlets
- imported package openbabel

